Subject: Re: bug#24243: fix for pcre-jitstack failure on Mac OS X

From: Jim Meyering <[email-masked]>
Date: Wed, 17 Aug 2016 13:16:56 -0700

On Tue, Aug 16, 2016 at 9:39 PM, Jim Meyering <[email-masked]> wrote:
> On Tue, Aug 16, 2016 at 8:14 AM, Jack Howarth
> <[email-masked]> wrote:
>> The pcre-jitstack test case fails on Mac OS X due to the system base64
>> expecting either '-D or --decode' rather than '-d or --decode'. The
>> trivial fix is to use the common '--decode' option rather than '-d'...
>>
>> diff -uNr grep-2.25/tests/pcre-jitstack grep-2.25-patched/tests/pcre-jitstack
>> --- grep-2.25/tests/pcre-jitstack       2016-01-01 17:45:41.000000000 -0500
>> +++ grep-2.25-patched/tests/pcre-jitstack       2016-08-16
>> 10:53:58.000000000 -0400
>> @@ -17,7 +17,7 @@
>>
>>  fail=0
>>
>> -base64 -d >pcrejit.txt.gz <<'EOF'
>> +base64 --decode >pcrejit.txt.gz <<'EOF'
>
> Thank you for the report and the patch.
> However, there are plenty of systems for which base64 --decode would
> not work either, so I've done this, which should work on a superset:
>
>     tests: avoid unnecessary "skip" without base64 -d support
>
>     * tests/pcre-jitstack: Try harder to find a base64 decoder:
>     Try 'base64 -d', 'base64 -D', 'openssl base64 -d' and perl's
>     MIME::Base64 decode_base64.  The old code would skip at least on
>     OS X, for which base64 expects -D or --decode.
>     Reported by Jack Howarth in http://bugs.gnu.org/24243.

Pushed.
Before pushing, I adjusted the commit log to reflect that this avoids
a false failure, not a skip.
Also adjusted the patch slightly and included a little more clean-up
in the vicinity.

I also pushed a separate fix to avoid a new "make syntax-check" failure.